/********************************************************************/
/*header*/
.tdi-logo {
    max-width: 400px;
}

#sessionComponent {
    display: flex;
    justify-content: flex-end
}

/********************************************************************/
/*Loading modal*/
#tdi-pageLoader {
    background-color: rgba(0, 0, 0, .5);
    position:fixed;
    height: 100%;
    width: 100%;
    z-index: 2000;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.tdi-loaderContainer {
    padding: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: #ffffff;
    border-radius: 10px;
}

.tdi-loaderContainer>p {
    margin: 2rem 0 1rem 0;
    color: #505050;
    font-size: 2rem;
    font-weight: bold;
}

.tdi-spinner {
    width: 48px;
    height: 48px;
    border: 5px solid;
    border-color: #124c95 transparent;
    border-radius: 50%;
    display: block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

/*spinner centered for table cell (td)*/
.tdi-spinner-td {
    width: 24px;
    height: 24px;
    border: 3px solid;
    border-color: #124c95 transparent;
    border-radius: 50%;
    display: block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    margin-left: auto;
    margin-right: auto;
}

#tdi-pageLoader.hide {
    display: none;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/********************************************************************/
/* tdi application header */
.wstop {
    /* background: url("../images/branding3bkg.gif") repeat-x scroll 0 0 #26719c !important; */
    overflow: hidden;
    padding: 1px 0 2px;
    text-align: center;
    width: 100%;
}

.wstop .wstopcontainer {
    margin: 0 auto;
    padding: 0;
    width: 950px;
}

.wstop .wslogo {
    background: url("../images/branding3.gif") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
    float: left;
    height: 34px;
    overflow: hidden;
    text-indent: -9999px;
    width: 294px;
}

.wslogo a {
    display: block;
    height: 100%;
    position: relative;
}

.wstop .windstormlogo,
.wslogo .windstormlogo {
    background: url("../images/windstorm157.png") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
	float: left;
    height: 28px;	
    width: 157px;	
    margin: 15px 15px 0 22px;	
    overflow: hidden;
    text-indent: -9999px;
}

#skip2content {
 /*   background: url("images/bul-01.gif") no-repeat scroll 0 50% rgba(0, 0, 0, 0); */
    color: #fff;
    float: right;
    font-size: 0.92em;
    font-weight: bold;
    line-height: 1.27em;
    margin: 8px 2px 0 0;
    padding: 0 0 0 13px;
    text-decoration: none;
    text-transform: uppercase;
}
#skip2content:hover {
    text-decoration: underline;
}

.wsmenu {
    background: none repeat scroll 0 0 #5a5a5a;
    list-style: none outside none;
    margin: 0;
    padding: 3px 0;
    text-align: center;
    width: 100%;
}

.wsmenu2 {
    background: #5a5a5a;
    text-align: left !important;
}

.wsmenu li {
/*    background: url("images/bul-02.gif") no-repeat scroll 0 50% rgba(0, 0, 0, 0);
*/
    display: inline;
    font-size: 0.92em;
    font-weight: bold;
    line-height: 1.27em;
    padding: 0 11px 0 19px;
}

.wsmenu li:first-child, .wsmenu li.first-child {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    padding-left: 0;
}

.wsmenu a {
    color: #fff;
    text-decoration: none;
}

.wsmenu2 a {
    color: #fff !important;
    text-decoration: none !important;
}

.wsmenu .active a, .wsmenu a:hover {
    text-decoration: underline;
}

.wsmenu2 .active a, .wsmenu2 a:hover {
    background: #5a5a5a !important;
	font-weight: 900 !important;
    text-decoration: underline !important;
}

.wsmenu .wsfooter-title {
	color: #FFFFFF;
	text-align: left !important;
    padding-left: 5px;
}

.wsimg {
	content: attr(data-description);
	font-size: 80px !important;
	font-weight: 900 !important;
}

.wslinks{padding:8px 15px;margin-bottom:20px;list-style:none;background-color:#f5f5f5;border-radius:4px;}
.wslinks>li{display:inline-block;}
.wslinks>li+li:before{content:"|\00a0";padding:0 5px;color:#ccc;}
.wslinks>.active{color:#999;}

.wsdropup {
  position: relative;
}

.wsdropup .caret,
.navbar-fixed-bottom .dropdown .caret {
  content: "" !important;
  border-top: 0 !important;
  border-bottom: 4px solid !important;
}

.wsdropup .dropdown-menu,
.navbar-fixed-bottom .dropdown .dropdown-menu {
  top: auto !important;
  bottom: 100% !important;
  margin-bottom: 2px !important;
}

/*Fix navbar links not showing on smaller browser width*/
.navbar {
    height: auto !important;
    /*change styling*/
    background: none;
    box-shadow: none;
    background-color: #124c95;
    border-radius: unset;
    border-color: unset;
    border-bottom: unset;
    margin-bottom: 10px;
}

.navbar-nav li {
    margin-bottom: 0px;
    list-style-type: none;
}

#bs-example-navbar-collapse-1 {
    border-color: white;
}

.navbar-custom {
    text-shadow: none;
}

.navbar .navbar-nav>li>a,.navbar-brand {
    text-shadow: none;
}

.navbar a {
    font-size: 16px;
}

.navbar ul {
    margin-left: .5em;
}

ul.dropdown-menu>li {
    list-style-type: none;
    margin-left: unset;
    margin-bottom: 0px;
}

/***************************************************************************/
/*override bootstrap.min.cerulean.css*/
.bg-white {
    background-color: #ffffff !important;
}

.bg-black {
    background-color: #000000 !important;
}

.bg-warning {
    background-color: #ce470d !important;
}

.bg-danger {
    background-color: #91191c !important;
}

.bg-primary {
    background-color: #124c95 !important;
}

.bg-success {
    background-color: #4e833c !important;
}